Redefine an already defined constant

- « runkit7_constant_add

- runkit7_constant_remove »

- PHP Manual
- runkit7 Functions
- Redefine an already defined constant

# runkit7_constant_redefine

(PECL runkit7 >= Unknown)

runkit7_constant_redefine — Redefine an already defined constant

### Description

runkit7_constant_redefine(string `$constant_name`, mixed `$value`, int `$new_visibility` = ?): bool

### Parameters

`constant_name`

  Constant to redefine. Either the name of a global constant, or `classname::constname` indicating class constant.

`value`

  Value to assign to the constant.

`new_visibility`

  The new visibility of the constant, for class constants. Unchanged by default. One of the `RUNKIT7_ACC_*` constants.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- runkit7_constant_add() - Similar to define(), but allows defining in class definitions as well
- runkit7_constant_remove() - Remove/Delete an already defined constant